Package com.databend.jdbc.log

# Class JDKLogger

java.lang.Object
com.databend.jdbc.log.JDKLogger

All Implemented Interfaces:
  `DatabendLogger`

public class JDKLogger extends Object implements DatabendLogger

## Constructor Summary

Constructors
Constructor
Description
`JDKLogger(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(String message)`
`void`
`debug(String message, Object... arguments)`
`void`
`debug(String message, Throwable t)`
`void`
`error(String message)`
`void`
`error(String message, Object... arguments)`
`void`
`error(String message, Throwable t)`
`void`
`info(String message)`
`void`
`info(String message, Object... arguments)`
`void`
`info(String message, Throwable t)`
`void`
`trace(String message)`
`void`
`trace(String message, Object... arguments)`
`void`
`trace(String message, Throwable t)`
`void`
`warn(String message)`
`void`
`warn(String message, Object... arguments)`
`void`
`warn(String message, Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JDKLogger

public JDKLogger(String name)

## Method Details

### trace

public void trace(String message)

Specified by:
  `trace` in interface `DatabendLogger`

### trace

public void trace(String message, Object... arguments)

Specified by:
  `trace` in interface `DatabendLogger`

### trace

public void trace(String message, Throwable t)

Specified by:
  `trace` in interface `DatabendLogger`

### debug

public void debug(String message)

Specified by:
  `debug` in interface `DatabendLogger`

### debug

public void debug(String message, Object... arguments)

Specified by:
  `debug` in interface `DatabendLogger`

### debug

public void debug(String message, Throwable t)

Specified by:
  `debug` in interface `DatabendLogger`

### info

public void info(String message)

Specified by:
  `info` in interface `DatabendLogger`

### info

public void info(String message, Object... arguments)

Specified by:
  `info` in interface `DatabendLogger`

### info

public void info(String message, Throwable t)

Specified by:
  `info` in interface `DatabendLogger`

### warn

public void warn(String message)

Specified by:
  `warn` in interface `DatabendLogger`

### warn

public void warn(String message, Object... arguments)

Specified by:
  `warn` in interface `DatabendLogger`

### warn

public void warn(String message, Throwable t)

Specified by:
  `warn` in interface `DatabendLogger`

### error

public void error(String message)

Specified by:
  `error` in interface `DatabendLogger`

### error

public void error(String message, Object... arguments)

Specified by:
  `error` in interface `DatabendLogger`

### error

public void error(String message, Throwable t)

Specified by:
  `error` in interface `DatabendLogger`